Exportar resumen de excesos de velocidad
curl --request POST \
--url https://api.ugps.io/api/reports/speed-excess/export \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"trackerIds": [
1234,
5678
],
"speedLimit": 80,
"format": "pdf",
"minDuration": 30
}
'import requests
url = "https://api.ugps.io/api/reports/speed-excess/export"
payload = {
"trackerIds": [1234, 5678],
"speedLimit": 80,
"format": "pdf",
"minDuration": 30
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({trackerIds: [1234, 5678], speedLimit: 80, format: 'pdf', minDuration: 30})
};
fetch('https://api.ugps.io/api/reports/speed-excess/export', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"<string>"{
"error": "El email es requerido"
}{
"error": "Token inválido o expirado"
}{
"error": "No tiene permisos para realizar esta acción"
}{
"message": "Error interno del servidor"
}Reportes - Exportación
Exportar resumen de excesos de velocidad
Genera un archivo Excel o PDF con el resumen de excesos de velocidad (estadísticas por asset) para los trackers indicados.
Formatos de fecha aceptados:
DD/MM/YYYY- Solo fechaDD/MM/YYYY HH:mm- Fecha con hora y minutosDD/MM/YYYY HH:mm:ss- Fecha con hora, minutos y segundos
POST
/
api
/
reports
/
speed-excess
/
export
Exportar resumen de excesos de velocidad
Authorizations
Token de sesión Better Auth o API token (atk_...) en el header Authorization: Bearer <token>. Los JWT legacy ya no son válidos.
Query Parameters
Fecha de inicio (ejemplo: 01/01/2025 o 01/01/2025 08:30)
Fecha de fin (ejemplo: 31/01/2025 o 31/01/2025 17:45)
Body
application/json
IDs de los trackers (flespiId) a incluir en el reporte
Example:
[1234, 5678]
Límite de velocidad en km/h
Example:
80
Formato de archivo a generar (pdf o xlsx).
Available options:
pdf, xlsx Example:
"pdf"
Duración mínima en segundos para considerar un exceso (default: 0)
Example:
30
Response
Archivo generado exitosamente
The response is of type file.